e-Próspera
Reference

Introspect an OAuth token

View as Markdown
POST
/api/oauth/introspect

Authorization

oauthClient
AuthorizationBasic <token>

OAuth client credentials using HTTP Basic. The OAuth endpoints also accept client credentials in the form body where documented.

In: header

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/oauth/introspect" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'token=string'
{  "active": true,  "scope": "string",  "client_id": "string",  "username": "string",  "token_type": "string",  "exp": 0,  "iat": 0,  "sub": "string",  "aud": "string",  "iss": "string",  "property1": null,  "property2": null}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}